import request from "@/utils/request";

// 获得WMS库内业务-物料拆合批分页
export function getMaterialDemolitionBatchPage(query) {
    return request({
        url: "/rtkwms/material-demolition-batch/toPage",
        method: "get",
        params: query,
    });
}

// 导出WMS库内业务-物料拆合批 Excel
export function exportMaterialDemolitionBatchExcel(query) {
    return request({
        url: "/rtkwms/material-demolition-batch/export-excel",
        method: "get",
        params: query,
        responseType: "blob",
    });
}

// 确认拆分
export function createSplit(data) {
    return request({
        url: "/rtkwms/material-demolition-batch/createSplit",
        method: "post",
        data: data,
    });
}
// 确认合批
export function createMerge(data) {
    return request({
        url: "/rtkwms/material-demolition-batch/createMerge",
        method: "post",
        data: data,
    });
}

// 扫描物料批次获得物料信息
export function getMaterialInfo(query) {
    return request({
        url: "/rtkwms/material-demolition-batch/getMaterialInfo",
        method: "get",
        params: query,
    });
}